import 'package:welltested/src/models/test_request/base_test_request.dart';
import 'package:welltested/src/models/test_request/class_test_request.dart';
import 'package:welltested/src/models/test_request/extension_test_request.dart';

extension TestRequestExt on UnitTestRequest {
  String? get parentEntityName {
    if (this is ClassTestRequest) return (this as ClassTestRequest).className;
    if (this is ExtensionTestRequest)
      return (this as ExtensionTestRequest).extensionName;
    return null;
  }
}
