class PubspecData {
  PubspecData(this.packageName,
      {required this.environment, this.dependencies, this.dev_dependencies, this.isFlutter = false});

  final String packageName;
  final Map environment;
  final bool isFlutter;

  final Map? dependencies;
  final Map? dev_dependencies;

  Map<String, dynamic> toJson() {
    return {
      'package_name': packageName,
      'environment': environment,
      'dependencies': dependencies,
      'dev_dependencies': dev_dependencies,
      'is_flutter': isFlutter,
    };
  }
}
